curl -X GET 'https://crypto-api.yativo.com/api/accounts/get-accounts' \
-H 'Authorization: Bearer YOUR_ACCESS_TOKEN'
{
"data": [
{
"_id": "acc_6615c3b2e55d9ff7bc0a5678",
"account_name": "Default Account",
"user_id": "usr_6615c3a1e55d9ff7bc0a1234",
"assets": "1",
"account_value": 0.3,
"portfolio": "0.00",
"archived": "0",
"subaccount": false,
"createdAt": "2026-01-13T22:06:20.231Z",
"updatedAt": "2026-03-08T10:30:03.778Z"
}
],
"status": true,
"message": "Accounts and assets listed successfully"
}
Retrieve all accounts associated with the authenticated user
curl -X GET 'https://crypto-api.yativo.com/api/accounts/get-accounts' \
-H 'Authorization: Bearer YOUR_ACCESS_TOKEN'
{
"data": [
{
"_id": "acc_6615c3b2e55d9ff7bc0a5678",
"account_name": "Default Account",
"user_id": "usr_6615c3a1e55d9ff7bc0a1234",
"assets": "1",
"account_value": 0.3,
"portfolio": "0.00",
"archived": "0",
"subaccount": false,
"createdAt": "2026-01-13T22:06:20.231Z",
"updatedAt": "2026-03-08T10:30:03.778Z"
}
],
"status": true,
"message": "Accounts and assets listed successfully"
}
Bearer YOUR_ACCESS_TOKENcurl -X GET 'https://crypto-api.yativo.com/api/accounts/get-accounts' \
-H 'Authorization: Bearer YOUR_ACCESS_TOKEN'
{
"data": [
{
"_id": "acc_6615c3b2e55d9ff7bc0a5678",
"account_name": "Default Account",
"user_id": "usr_6615c3a1e55d9ff7bc0a1234",
"assets": "1",
"account_value": 0.3,
"portfolio": "0.00",
"archived": "0",
"subaccount": false,
"createdAt": "2026-01-13T22:06:20.231Z",
"updatedAt": "2026-03-08T10:30:03.778Z"
}
],
"status": true,
"message": "Accounts and assets listed successfully"
}